Skip to content

Retrieve Deposit Limits

Request

Returns the deposit limit for a profile based on regulatory requirements.

Useful for personal profiles located in countries that have hold limits. We advise calling this API before depositing money into an account if the profile is located in Singapore or Malaysia.

Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

The profile ID.

Query
currencystringrequired

Currency code (ISO 4217 Alphabetic Code). The deposit limit will be returned in this currency.

Example:currency=SGD
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/2026Q3/profiles/{profileId}/balance-capacity?currency=SGD' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

OK - Successfully retrieved deposit limits.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
hasLimitboolean

True if there is a regulatory hold limit for the profile's country.

Example:true
depositLimitobject

Amount of money that can be added to the account.

Response
{ "hasLimit": true, "depositLimit": { "amount": 2000, "currency": "SGD" } }